Audiences
For authentication instructions, see API overview.
Endpoints
get
List all audiences
Returns a list of audiences. The audiences are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/audiencesResponse
No response schemapost
Create audiences
Create audiences. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringcategorystringtagsarraycontactsarrayactiveboolean
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/audiences \ -d 'name="string"' \ -d 'category="string"' \ -d 'tags="array"' \ -d 'contacts="array"' \ -d 'active="boolean"'Response
No response schemaget
Retrieve audiences
Returns a single audience, which you can request by passing through an id in the url.
Path parameters
idstringID of the audience
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/audiences/:idResponse
No response schemaput
Update audiences
Path parameters
idstringID of the audience
Request body
namestringcategorystringtagsarraycontactsarrayactiveboolean
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/audiences/:id \ -d 'name="string"' \ -d 'category="string"' \ -d 'tags="array"' \ -d 'contacts="array"' \ -d 'active="boolean"'Response
No response schemapatch
Update audiences soft
Update audiences soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the audience
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/audiences/:idResponse
No response schemadelete
Delete audiences
Path parameters
idstringID of the audience
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/audiences/deleted/:id